## linux-restricted-modules-2.6.24 2.6.24.14-22.53netbook4

=== Makefile ===
#!/usr/bin/make -f
###############################################################
# Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
###############################################################
#
# VMware vmppuser makefile to be distributed externally
#

DRIVER = vmppuser

####
####  The code is actually identical for SMP vs. UP, but if you
#### Have CONFIG_MODVERSIONS in your kernel, the symbols will 
#### come out differently smp vs. non-smp so we will build with
#### different names just to disambiguate.  If you have an SMP
#### kernel (i.e. uniprocessor but with SMP support or more than
#### one processor) please uncomment the SUPPORT_SMP line.
####
#SUPPORT_SMP=1

# Header directory for the running kernel
HEADER_DIR = /usr/src/linux/include

# Grep program
GREP = /bin/grep

check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
	> /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)

ifdef SUPPORT_SMP
DRIVERNAME = $(DRIVER)-smp-$(shell uname -r)
else
DRIVERNAME = $(DRIVER)-up-$(shell uname -r)
endif

CC_WARNINGS = -Wall -Wstrict-prototypes
# Don't use -pipe or egcs-2.91.66 (shipped with RedHat) will die
CC_KFLAGS = -D__KERNEL__ -DMODULE -fomit-frame-pointer -fno-strength-reduce \
            -DCPU=586 -fno-common -DKBUILD_MODNAME=$(DRIVER)
CC_KFLAGS += $(call check_gcc,-falign-loops=2 -falign-jumps=2 -falign-functions=2, \
	    -malign-loops=2 -malign-jumps=2 -malign-functions=2)
CC_KFLAGS += $(call check_gcc,-march=i586,-m486)
CC_KFLAGS += $(call check_gcc,-fno-strict-aliasing,)
INCLUDE = -I. -I$(HEADER_DIR)
CFLAGS = -O $(CC_WARNINGS) $(CC_KFLAGS) $(INCLUDE)

ifdef SUPPORT_SMP
CFLAGS += -DSUPPORT_SMP
endif

OBJS = ppuser-stub.o

default: all

all: $(DRIVERNAME)

$(DRIVERNAME): $(OBJS)
	$(LD) -r -o $@ $^

../$(DRIVER).o: $(DRIVERNAME)
	cp -f $< $@

auto-build: ../$(DRIVER).o

clean:
	rm -f $(DRIVERNAME) ../$(DRIVERNAME) $(OBJS)

.PHONY: default all auto-build clean

.SILENT:

=== ath/Makefile ===
#
# Copyright (c) 2002-2005 Sam Leffler, Errno Consulting
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath/Makefile#12 $
#

#
# Makefile for the Atheros WLAN driver.
#

ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/..

ifeq ($(strip $(BUS)),AHB)
BUSNAME=ahb
COPTS+= -DATH_AHB
else
BUSNAME=pci
COPTS+= -DATH_PCI
endif

# These flags select which radar signatures DFS will match
COPTS	+= -DDFS_DOMAIN_ETSI -DDFS_DOMAIN_FCC

include $(TOP)/Makefile.inc

obj-m		+= ath_$(BUSNAME).o
ath_$(BUSNAME)-objs	:= if_ath.o if_ath_radar.o if_ath_$(BUSNAME).o

INCS += -I$(TOP) -I$(ATH_HAL) -I$(HAL) -I$(WLAN)

EXTRA_CFLAGS+= $(INCS) $(COPTS) -DOPT_AH_H=\"public/$(TARGET).opt_ah.h\"

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install -m 0644 ath_$(BUSNAME).$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	rm -f *~ *.o *.ko *.mod.c .*.cmd
	rm -f .depend .version .*.o.flags .*.o.d
	rm -rf .tmp_versions

ath_$(BUSNAME).o: $(ath_$(BUSNAME)-objs)
	$(LD) $(LDOPTS) -o ath_$(BUSNAME).$(KMODSUF) -r $(ath_$(BUSNAME)-objs)

if_ath_hal.h: $(HAL)/ah.h
	$(TOP)/scripts/if_ath_hal_generator.pl $< $@
	$(TOP)/scripts/madwifi-indent $@

=== ath_rate/Makefile ===
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/..

obj-y := amrr/ onoe/ sample/ minstrel/

include $(TOP)/Makefile.inc

modules:
ifdef LINUX24
	for i in $(obj-y); do \
		$(MAKE) -C $$i || exit 1; \
	done
else
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules
endif

install:
	for i in $(obj-y); do \
		$(MAKE) -C $$i install || exit 1; \
	done

clean:
	for i in $(obj-y); do \
		$(MAKE) -C $$i clean; \
	done

=== net80211/Makefile ===
#
# Copyright (c) 2002-2005 Sam Leffler, Errno Consulting
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/net80211/Makefile#12 $
#

#
# Makefile for the 802.11 WLAN modules.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/..
#
# There are two authenticator mechanisms: an in-kernel implementation
# (wlan_auth+wlan_radius) and an external implementation (wlan_xauth) that
# requires a user process to manage the authentication process.  By default
# the external authenticator is used.  ieee80211_proto.c has a table of module
# names that defines the default module to auto-load for each authentication
# scheme; to get the in-kernel authenticator by default modify it to load
# wlan_auth instead of wlan_xauth or manually load wlan_auth prior to use.
# 
MOD_AUTH	:= wlan_xauth.o
#
# Scanning policy is split into modules.  The default policy modules
# separate station-mode scanning support from ap-mode scanning support.
#
MOD_SCAN	:= wlan_scan_sta.o wlan_scan_ap.o
#
# Modules to be built+installed
#
MOD_INSTALL	:= wlan.o wlan_wep.o wlan_tkip.o wlan_ccmp.o wlan_acl.o \
		   $(MOD_AUTH) $(MOD_SCAN)

obj-m		+= $(MOD_INSTALL)

wlan-objs	:= if_media.o \
		   ieee80211.o ieee80211_beacon.o ieee80211_crypto.o \
		   ieee80211_crypto_none.o ieee80211_input.o ieee80211_node.o \
		   ieee80211_output.o ieee80211_power.o ieee80211_proto.o \
		   ieee80211_scan.o ieee80211_wireless.o ieee80211_linux.o \
		   ieee80211_monitor.o ieee80211_rate.o
wlan_wep-objs	:= ieee80211_crypto_wep.o
wlan_tkip-objs	:= ieee80211_crypto_tkip.o
wlan_ccmp-objs	:= ieee80211_crypto_ccmp.o
wlan_acl-objs	:= ieee80211_acl.o
wlan_xauth-objs	:= ieee80211_xauth.o
wlan_scan_sta-objs :=ieee80211_scan_sta.o
wlan_scan_ap-objs := ieee80211_scan_ap.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+=$(INCS) $(COPTS)

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

wlan.o:	$(wlan-objs)
	$(LD) $(LDOPTS) -o wlan.$(KMODSUF) -r $(wlan-objs)
wlan_wep.o:	$(wlan_wep-objs)
	$(LD) $(LDOPTS) -o wlan_wep.$(KMODSUF) -r $(wlan_wep-objs)
wlan_tkip.o:	$(wlan_tkip-objs)
	$(LD) $(LDOPTS) -o wlan_tkip.$(KMODSUF) -r $(wlan_tkip-objs)
wlan_ccmp.o:	$(wlan_ccmp-objs)
	$(LD) $(LDOPTS) -o wlan_ccmp.$(KMODSUF) -r $(wlan_ccmp-objs)
wlan_scan_sta.o: $(wlan_scan_sta-objs)
	$(LD) $(LDOPTS) -o wlan_scan_sta.$(KMODSUF) -r $(wlan_scan_sta-objs)
wlan_scan_ap.o:	$(wlan_scan_ap-objs)
	$(LD) $(LDOPTS) -o wlan_scan_ap.$(KMODSUF) -r $(wlan_scan_ap-objs)
wlan_xauth.o:	$(wlan_xauth-objs)
	$(LD) $(LDOPTS) -o wlan_xauth.$(KMODSUF) -r $(wlan_xauth-objs)
wlan_acl.o:	$(wlan_acl-objs)
	$(LD) $(LDOPTS) -o wlan_acl.$(KMODSUF) -r $(wlan_acl-objs)

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	for i in $(MOD_INSTALL); do \
		f=`basename $$i .o`; \
		install $$f.$(KMODSUF) $(DESTDIR)/$(KMODPATH); \
	done

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

=== ath_rate/amrr/Makefile ===
#
# Copyright (c) 2004 Sam Leffler, Errno Consulting
# Copyright (c) 2004 Video54 Technologies, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/amrr/Makefile#2 $
#

#
# Makefile for the Atheros Rate Control Support.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/../..

obj-m		+= ath_rate_amrr.o
ath_rate_amrr-objs	:= amrr.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+= $(INCS) $(COPTS)

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install ath_rate_amrr.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

ath_rate_amrr.o: $(ath_rate_amrr-objs)
	$(LD) $(LDOPTS) -o ath_rate_amrr.$(KMODSUF) -r $(ath_rate_amrr-objs)

=== ath_rate/minstrel/Makefile ===
#
# Copyright (c) 2004 Sam Leffler, Errno Consulting
# Copyright (c) 2004 Video54 Technologies, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#

#
# Makefile for the Atheros Rate Control Support.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/../..

obj-m		+= ath_rate_minstrel.o
ath_rate_minstrel-objs	:= minstrel.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+= $(INCS) $(COPTS) -DOPT_AH_H=\"public/$(TARGET).opt_ah.h\"

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install -m 0644 ath_rate_minstrel.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

ath_rate_minstrel.o: $(ath_rate_minstrel-objs)
	$(LD) $(LDOPTS) -o ath_rate_minstrel.$(KMODSUF) -r $(ath_rate_minstrel-objs)

=== ath_rate/sample/Makefile ===
#
# Copyright (c) 2004 Sam Leffler, Errno Consulting
# Copyright (c) 2004 Video54 Technologies, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#

#
# Makefile for the Atheros Rate Control Support.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/../..

obj-m		+= ath_rate_sample.o
ath_rate_sample-objs	:= sample.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+= $(INCS) $(COPTS)

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install ath_rate_sample.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

ath_rate_sample.o: $(ath_rate_sample-objs)
	$(LD) $(LDOPTS) -o ath_rate_sample.$(KMODSUF) -r $(ath_rate_sample-objs)

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook4) netbook-common; urgency=low

  [Colin King]
	
  * Updated Broadcom wl driver to version 5.10.79.10.

 -- Tony Espy <espy@canonical.com>  Mon, 16 Mar 2009 17:30:49 -0400

linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook3) hardy; urgency=low

  * Updated Broadcom wl driver to version 5.10.27.14. 
 
 -- Tony Espy <espy@canonical.com>  Thu, 22 Jan 2009 13:38:53 -0500

linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook2) hardy; urgency=low

  * Integrate broadcom 5_10_27_11 driver

 -- Michael Frey <michael.frey@canonical.com>  Tue, 16 Dec 2008 15:16:17 -0500

linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook1) hardy; urgency=low

  * Merged with upstream 

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Mon, 01 Dec 2008 16:48:06 -0500

linux-restricted-modules-2.6.24 (2.6.24.14-22.53) hardy; urgency=low

  * ABI bump to -22 for hardy-security release.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 20 Nov 2008 11:36:14 +0100

linux-restricted-modules-2.6.24 (2.6.24.14-22.52) hardy-proposed; urgency=low

  * ABI bump to -22

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 13 Nov 2008 07:51:18 +0000

linux-restricted-modules-2.6.24 (2.6.24.14-21.51) hardy-proposed; urgency=low

  * Reimplmented the VLAN mode setting patch. It was occasionally
    causing kernel lock violations.
    LP: #259816

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 10 Oct 2008 03:38:49 +0000

linux-restricted-modules-2.6.24 (2.6.24.14-21.50) hardy-proposed; urgency=low

  * broadcom: Force vlan_mode to off on initialization of device. Otherwise
    ssh and ssl connections will not work.
    LP: #259816

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 12 Sep 2008 20:44:46 -0600

linux-restricted-modules-2.6.24 (2.6.24.14-21.49) hardy-proposed; urgency=low

  * Fixed oops in Fritz fwlanusb caused by writing beyond the end of
    an array. Patch from Nils Kassube in the bug report.
    LP: #200589

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 02 Sep 2008 14:47:45 -0600

linux-restricted-modules-2.6.24 (2.6.24.14-21.48) hardy-proposed; urgency=low

  * Fix Fritz PCI interrupt init problem.
    LP: #204624

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 19 Aug 2008 16:05:46 +0000

linux-restricted-modules-2.6.24 (2.6.24.14-21.47) hardy-proposed; urgency=low

  * ABI bump to -21

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 13 Aug 2008 13:08:43 -0600

linux-restricted-modules-2.6.24 (2.6.24.14-20.46) hardy-proposed; urgency=low

  * ABI Bump to -20
  * Upgrade Broadcom to 5.10.27

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 10 Jul 2008 17:07:00 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-19.45) hardy-proposed; urgency=low

  * Fix broadcom Makefile to get correct objects from split-module.
    LP: #243930

 -- Ben Collins <ben.collins@canonical.com>  Sun, 06 Jul 2008 15:18:03 -0400

=== debian/control ===
# THIS FILE IS AUTO-GENERATED FROM control.stub.in
Source: linux-restricted-modules-2.6.24
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Uploaders: Adam Conrad <adconrad@0c3.net>, Ben Collins <ben.collins@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
 kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
 sharutils, bzip2, libgtk2.0-dev [i386 amd64],
 linux-headers-2.6.24-22-386 [i386],
 linux-headers-2.6.24-22-server [amd64 i386],
 linux-headers-2.6.24-22-generic [amd64 i386],
 linux-headers-2.6.24-22-lpia [lpia],
 linux-headers-2.6.24-22-openvz [i386 amd64],
 linux-headers-2.6.24-22-rt [i386 amd64],
 linux-headers-2.6.24-22-xen [amd64 i386],
 linux-headers-2.6.24-22-powerpc [powerpc],
 linux-headers-2.6.24-22-powerpc-smp [powerpc],
 linux-headers-2.6.24-22-powerpc64-smp [powerpc],
 linux-headers-2.6.24-22-mckinley [ia64],
 linux-headers-2.6.24-22-itanium [ia64],
 linux-headers-2.6.24-22-hppa32 [hppa],
 linux-headers-2.6.24-22-hppa64 [hppa],
 linux-headers-2.6.24-22-sparc64-smp [sparc],
 linux-headers-2.6.24-22-sparc64 [sparc]

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.24 modules helper script
 This package provides only a set of helper scripts to handle
 linux-restricted-modules.

Package: linux-restricted-modules-2.6.24-22-386
Architecture: i386
Priority: optional
Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
Depends: linux-image-2.6.24-22-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-22
Description: Non-free Linux 2.6.24 modules on 386
 This package provides restricted modules for Linux version 2.6.24 on
 386.
 Currently the following modules are included:
  - madwifi (Atheros)
  - fglrx (ATI)
  - nvidia
  - fcdsl, fcdsl2, fcdslsl, fcdslslusb, fcdslusb, fcdslusb2, fcdslusba,
    fcpci, fcusb, fwlanusb, fxusb (AVM ISDN)
  - ltmodem (Winmodem)
 . 
 These modules are "restricted" because they are not available under a
 completely Free licence.

Package: nvidia-glx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-kernel-source (>= ${nvidia:Version}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx-legacy, nvidia-glx-new
Replaces: nvidia-glx-src
Provides: xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and support the newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one.

Package: nvidia-glx-dev
Architecture: i386 amd64
Depends: nvidia-glx (>= ${nvidia:Version}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-legacy-dev, nvidia-glx-new-dev
Description: NVIDIA binary XFree86 4.x/X.Org driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org driver
 development files.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx (>= ${nvidia:Version}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src
Replaces: nvidia-kernel-src
Description: NVIDIA binary kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.

Package: nvidia-glx-new
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-new-kernel-source (>= ${nvidia:NewVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx, nvidia-glx-legacy
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the  newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one. If you have a GeForce4, you may need the nvidia-glx
 package.

Package: nvidia-glx-new-dev
Architecture: i386 amd64
Depends: nvidia-glx-new (>= ${nvidia:NewVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev, nvidia-glx-legacy-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'new' driver
 development files.
 .
 This is the 'new' driver for newer chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-new-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-new (>= ${nvidia:NewVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source, nvidia-legacy-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'new' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'new' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.

Package: nvidia-glx-legacy
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-legacy-kernel-source (>= ${nvidia:LegacyVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-glx
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the TNT,
 TNT2, TNT Ultra, GeForce, and GeForce2 chipsets. AGP, TV-out and flat panel
 displays are also supported.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the above paragraph, please use the nvidia-glx driver,
 which is much more up to date.

Package: nvidia-glx-legacy-dev
Architecture: i386 amd64
Depends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 development files.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-legacy-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'legacy' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.

Package: fglrx-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: xorg-driver-fglrx (>= ${ati:XOrgVersion}), kernel-package (>= 8.082), devscripts
Description: ATI binary kernel module source
 This package builds the ATI XFree86 4.x/X.Org binary kernel module needed
 by xorg-driver-fglrx.  This package is not needed on an
 Ubuntu system because a pre-compiled kernel module is supplied by the
 linux-restricted-modules  packages.

Package: xorg-driver-fglrx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), ${shlibs:Depends}
Conflicts: fglrx-driver, xfree86-driver-fglrx, nvidia-glx, nvidia-glx-legacy
Replaces: fglrx-driver, xfree86-driver-fglrx
Provides: fglrx-driver, xserver-xorg-video-2
Description: Video driver for ATI graphics accelerators
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This version of the ATI driver officially supports:
 .
  * FireGL: V8650, V8600, V7600, V7350, V7300, V7200, V7100,
            V5600, V5200, V5100, V5000, HD3870, HD3850, V3600, V3400,
            V3300, V3200, V3100, X3-256, X3, X2-256, Z1-128, T2-128,
            X1-128, X1-256p
  * FireMV: 2200 (Single card PCI-e configuration)
  * Mobility FireGL: V5000, T2
  * Mobility Radeon: X1800, X1600, X1400, X1300, X800, X700, X600, X300,
                     X200, 9800, 9600, 9550, 9500
  * Radeon Xpress: 1200 series, 1100 series, 200 series
  * Radeon: HD2900, HD2600, HD2400, X1900, X1800, X1600, X1300, X850,
            X800, X700, X600, X550, X300, 9800, 9700, 9600, 9550, 9500
 .
 ATI All-in-Wonder variants of the above cards/chips are also supported,
 but video capture is not.
 .
 This package provides 2D display drivers and hardware accelerated OpenGL.

Package: xorg-driver-fglrx-dev
Architecture: i386 amd64
Depends: xorg-driver-fglrx (= ${ati:XOrgFullVersion})
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev
Provides: fglrx-driver-dev
Description: Video driver for ATI graphics accelerators (devel files)
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions
 and the FGLRXGAMMA extension interface library.

Package: fglrx-control
Architecture: i386 amd64
Depends: xorg-driver-fglrx, ${shlibs:Depends}
Conflicts: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Replaces: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Description: Control panel for the ATI graphics accelerators
 Control panel for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides the control panel compiled for Qt3.

Package: fglrx-amdcccle
Architecture: i386 amd64
Depends: fglrx-control
Description: Dummy package for easy transition
 This is a dummy package for easy transition with ATI's packages.

Package: avm-fritz-kernel-source
Architecture: amd64 i386
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: kernel-package (>= 8.082), devscripts

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (c) 2004 Herbert Xu <herbert@gondor.apana.org.au>
# Copyright (c) 2004-2005 Canonical Ltd.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

SHELL := sh -e

prefix := $(CURDIR)/debian/linux-restricted-modules
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
udeb_prefix := $(CURDIR)/debian/d-i-$(DEB_HOST_ARCH)

export CC=gcc
export GCC=gcc

# kernel
abi_version        = $(shell dpkg-parsechangelog | grep ^Version | sed 's/.*-//;s/\..*//')
kernel_version     = $(shell dpkg-parsechangelog | grep ^Source | sed 's/.*-//')
kernel_abi_version = $(kernel_version)-$(abi_version)
lrm_version        = $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}')

# nvidia
nv_base_version=1.0
nv_release := 96.43.05
nv_upstreamversion := ${nv_release}
nv_version := ${nv_release}
nv_new_release := 169.12
nv_new_upstreamversion := ${nv_new_release}
nv_new_version := ${nv_new_release}
nv_legacy_release := 71.86.04
nv_legacy_upstreamversion := ${nv_legacy_release}
nv_legacy_version := ${nv_legacy_release}

# fglrx
ati_xorg_base_version = 7.1.0
ati_revision = 8-3
ati_upstreamversion = ${ati_revision}
ati_xorg_version = ${ati_xorg_base_version}-${ati_revision}
ati_shar = ati-driver-installer-${ati_revision}-x86.x86_64.run

# fritz avm
avm_base_version = 3.11
#avm_version = ${avm_base_version}-${avm_revision}
avm_version = ${avm_base_version}
pkg_avmfw := $(shell awk '/Package: avm-fritz-firmware/ {print $$2}' debian/control.stub)
avmfw_dir = $(subst avm-fritz-firmware-,,$(pkg_avmfw))

# ltmodem
ltm_base_version = 8.31+2.6-alk-9
ltm_url = http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/

# madwifi
madwifi_version = 0.10.0

# broadcom wireless
bcmwl_version = v5_10_79_10
bcmwl_dir = bcmwl

# vmware-player
vmplay_dir = $(CURDIR)/debian/vmware-player-kernel-modules-$(kernel_abi_version)
vmserv_dir = $(CURDIR)/debian/vmware-server-kernel-modules-$(kernel_abi_version)
vmtool_dir = $(CURDIR)/debian/vmware-tools-kernel-modules-$(kernel_abi_version)

FGLRX   := 1
NVIDIA  := 1
MADWIFI := 1
BCMWL   := 1
FRITZ   := 1
LTMODEM := 1
VMWARE  := 0
VMDESCHED := 1

ifeq "$(DEB_HOST_ARCH)" "i386"
export karch=i386
bcmwl_arch := 32
bcmwl_pkg := hybrid-portsrc-x86_$(bcmwl_arch)-$(bcmwl_version)
bcmwl_tarball := $(bcmwl_pkg).tar.gz
mw_target := TARGET=i386-elf

nv_filename := NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1.run
nv_dirname := nvidia/NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1
nv_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package = fglrx
ati_url = http://www2.ati.com/drivers/linux/fglrx_${ati_revision}.zip
ati_archdir = x86
ati_nativelibdir = lib
ati_xorg_dir = x710
fritz_dir := fritz
split_fritz_modules += \
		fcdsl/src/fcdsl \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcdslusba/src/fcdslusba \
		fcpci/src/fcpci \
		fcusb/src/fcusb \
		fwlanusb/src/fwlanusb \
		fxusb/src/fxusb
flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server)
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "amd64"
export karch=x86_64
bcmwl_arch := 64
bcmwl_pkg := hybrid-portsrc-x86_$(bcmwl_arch)-$(bcmwl_version)
bcmwl_tarball := $(bcmwl_pkg).tar.gz
mw_target := TARGET=x86_64-elf

nv_filename := NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2.run
nv_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2
nv_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package := fglrx64
ati_url = http://www2.ati.com/drivers/linux/fglrx64_${ati_revision}.zip
ati_archdir = x86_64
ati_nativelibdir = lib64
ati_xorg_dir = x710_64a
fritz_dir := fritz64
split_fritz_modules += \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcpci/src/fcpci
flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server)
LTMODEM := 0 # no Winmodem support
VMDESCHED := 0
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "ia64"
export karch=ia64
mw_target := TARGET=ia64-elf
flavours := $(addprefix $(kernel_abi_version)-,itanium mckinley)

NVIDIA  := 0 # no real upstream nvidia support
FGLRX   := 0 # no fireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player support
endif

ifeq "$(DEB_HOST_ARCH)" "powerpc"
export karch=powerpc
mw_target := TARGET=powerpc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,powerpc powerpc-smp powerpc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
BCMWL	:= 0 # no Broadcom wireless support yet
endif

ifeq "$(DEB_HOST_ARCH)" "hppa"
export karch=hppa
mw_target := TARGET=hppa-be-elf
flavours := $(addprefix $(kernel_abi_version)-,hppa32 hppa64)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

ifeq "$(DEB_HOST_ARCH)" "lpia"
export karch=i386
bcmwl_arch := 32
bcmwl_pkg := hybrid-portsrc-x86_$(bcmwl_arch)-$(bcmwl_version)
bcmwl_tarball := $(bcmwl_pkg).tar.gz
mw_target := TARGET=i386-elf
flavours := $(addprefix $(kernel_abi_version)-,lpia)

NVIDIA  := 0 # no nVidia support yet
FGLRX   := 0 # no FireGL support yet
MADWIFI := 1
BCMWL	:= 1
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif


ifeq "$(DEB_HOST_ARCH)" "sparc"
export karch=sparc
mw_target := TARGET=sparc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,sparc64 sparc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

## linux-restricted-modules-2.6.24 2.6.24.16

=== Makefile ===
#!/usr/bin/make -f
#############################################################
# Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
#############################################################
####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmhgfs

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

$(DRIVER): $(DRIVER_KO)
	cp -f $< $@

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== fritz64/fcdsl2/Makefile ===
# Just to jump into the src directory...

include ID

KDIR		:= /lib/modules/$(shell uname -r)/extra/

FILES		:= $(CARD).ko
ifeq ($(CARD),fcpcmcia)
FILES		+= fcpcmcia_cs.ko
endif
FILES2		:= $(foreach file,$(FILES),src/$(file))

all:		$(FILES2)
	
.PHONY:		install $(FILES2)
	
$(FILES2):	; make -C src

clean:		; make -C src clean

install:	$(FILES2) $(KDIR)
		for f in $(FILES2); do cp -vf $$f $(KDIR); done

$(KDIR):	; mkdir -p $(KDIR)

=== fritz64/fcdslusb/1/fritz/src/Makefile ===
# COMMON

CARD		:= fcdslusb
LIBDIR		:= /var/lib/fritz
OBJECTS		:= main.o driver.o tools.o tables.o queue.o lib.o buffers.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h buffers.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$(shell pwd) modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif
